<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/src/adc.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_3abedc03644d33bc69016fb8a5546004.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">adc.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../de/d01/adc_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**************************************************************************/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="preprocessor">#include &quot;<a class="code" href="../../da/d91/_nano1_x2_series_8h.html">Nano1X2Series.h</a>&quot;</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span> </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7033da903c767e3fcd564d1695a43fac">   41</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7033da903c767e3fcd564d1695a43fac">ADC_Open</a>(<a class="code hl_struct" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc,</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>              uint32_t u32InputMode,</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>              uint32_t u32OpMode,</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>              uint32_t u32ChMask)</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>{</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span> </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">ADC</a>-&gt;CR = (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">ADC</a>-&gt;CR &amp; ~ADC_CR_DIFF_Msk) | u32InputMode;</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">ADC</a>-&gt;CR = (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">ADC</a>-&gt;CR &amp; ~ADC_CR_ADMD_Msk) | u32OpMode;</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">ADC</a>-&gt;CR = (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">ADC</a>-&gt;CR &amp; ~ADC_CR_REFSEL_Msk);</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">ADC</a>-&gt;CHEN  = u32ChMask;</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>}</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span> </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga68854f8ea2f77c73a8cf029034ec4885">   59</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga68854f8ea2f77c73a8cf029034ec4885">ADC_Close</a>(<a class="code hl_struct" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc)</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>{</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;IPRST_CTL2 |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ae1628313ccb45d3d11ae5fbd3e3c1024">SYS_IPRST_CTL2_ADC_RST_Msk</a>;</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;IPRST_CTL2 &amp;= ~SYS_IPRST_CTL2_ADC_RST_Msk;</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span> </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>}</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span> </div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno"><a class="line" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga685b6f8aa3a0f1fea8992f0f105e7241">   81</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga685b6f8aa3a0f1fea8992f0f105e7241">ADC_EnableHWTrigger</a>(<a class="code hl_struct" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc,</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>                         uint32_t u32Source,</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>                         uint32_t u32Param)</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>{</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">ADC</a>-&gt;CR &amp;= ~(<a class="code hl_define" href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#ga329916e0888ee4718195ce0166bee7ec">ADC_CR_TRGS_Msk</a> | <a class="code hl_define" href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#ga4aa41e03742268c03e334a46a432598a">ADC_CR_TRGCOND_Msk</a> | <a class="code hl_define" href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#gafb815f258edb65691435b611434de7df">ADC_CR_TRGE_Msk</a>);</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>    <span class="keywordflow">if</span>(u32Source == <a class="code hl_define" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab00b676b7a485e344250465c7379356c">ADC_TRIGGER_BY_EXT_PIN</a>)</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    {</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">ADC</a>-&gt;CR |= u32Source | u32Param | <a class="code hl_define" href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#gafb815f258edb65691435b611434de7df">ADC_CR_TRGE_Msk</a>;</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    }</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    {</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">ADC</a>-&gt;CR |= u32Source | <a class="code hl_define" href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#gafb815f258edb65691435b611434de7df">ADC_CR_TRGE_Msk</a>;</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    }</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span> </div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>}</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span> </div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno"><a class="line" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9703215cf92463b8c79f486aa6270ca8">  103</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9703215cf92463b8c79f486aa6270ca8">ADC_DisableHWTrigger</a>(<a class="code hl_struct" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc)</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>{</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">ADC</a>-&gt;CR &amp;= ~(<a class="code hl_define" href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#ga329916e0888ee4718195ce0166bee7ec">ADC_CR_TRGS_Msk</a> | <a class="code hl_define" href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#ga4aa41e03742268c03e334a46a432598a">ADC_CR_TRGCOND_Msk</a> | <a class="code hl_define" href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#gafb815f258edb65691435b611434de7df">ADC_CR_TRGE_Msk</a>);</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>    <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>}</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span> </div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno"><a class="line" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3bc36c0a0554723f815fca2afe66671f">  116</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3bc36c0a0554723f815fca2afe66671f">ADC_EnableTimerTrigger</a>(<a class="code hl_struct" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc,</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>                            uint32_t u32Source,</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>                            uint32_t u32PDMACnt)</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>{</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">ADC</a>-&gt;CR &amp;= ~(<a class="code hl_define" href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#gacf5d396134fef16ba1a231e1a09071fe">ADC_CR_TMPDMACNT_Msk</a> | <a class="code hl_define" href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#ga5a0ca979c19d7d54c740a0ced742d201">ADC_CR_TMSEL_Msk</a>);</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">ADC</a>-&gt;CR |= (u32PDMACnt &lt;&lt; <a class="code hl_define" href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#ga0009f40073c6a6209b523665049f663d">ADC_CR_TMPDMACNT_Pos</a>) | (u32Source &lt;&lt; <a class="code hl_define" href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#gacd67d1016dbd5f1ae15c7cd238eaebc5">ADC_CR_TMSEL_Pos</a>) | <a class="code hl_define" href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#gad5199134d550c0c9ee07ca0057d747c0">ADC_CR_TMTRGMOD_Msk</a>;</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span> </div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>    <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>}</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span> </div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno"><a class="line" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9527ef6a552d887f6e530fa008176057">  131</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9527ef6a552d887f6e530fa008176057">ADC_DisableTimerTrigger</a>(<a class="code hl_struct" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc)</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>{</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>    <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">ADC</a>-&gt;CR &amp;= ~ADC_CR_TMTRGMOD_Msk;</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span> </div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>    <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>}</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span> </div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno"><a class="line" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6adcefbb9e5bc5aa9ea0741d028532fd">  145</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6adcefbb9e5bc5aa9ea0741d028532fd">ADC_SetExtraSampleTime</a>(<a class="code hl_struct" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc,</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>                            uint32_t u32ChNum,</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>                            uint32_t u32SampleTime)</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>{</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span> </div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>    <span class="keywordflow">if</span> (u32ChNum &lt; 8)</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>        <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">ADC</a>-&gt;SMPLCNT0 = (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">ADC</a>-&gt;SMPLCNT0 &amp; ~(<a class="code hl_define" href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#gaba4218cc35d77ca58fcbb4071f2bf561">ADC_SMPLCNT0_CH0SAMPCNT_Msk</a> &lt;&lt; (u32ChNum * 4))) | (u32SampleTime &lt;&lt; (u32ChNum * 4));</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>        <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">ADC</a>-&gt;SMPLCNT1 = (<a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">ADC</a>-&gt;SMPLCNT1 &amp; ~ADC_SMPLCNT1_INTCHSAMPCNT_Msk) | (u32SampleTime &lt;&lt; <a class="code hl_define" href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#ga1cd21e1f2871436955adfd4952e65793">ADC_SMPLCNT1_INTCHSAMPCNT_Pos</a>);</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>}</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span> </div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno"><a class="line" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa17b8a283b2eebe8bfb193056c7fed35">  167</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa17b8a283b2eebe8bfb193056c7fed35">ADC_EnableInt</a>(<a class="code hl_struct" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc, uint32_t u32Mask)</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>{</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>    <span class="keywordflow">if</span>(u32Mask &amp; <a class="code hl_define" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga40dde4ccecc2ebea0a175cd68431ad5d">ADC_ADF_INT</a>)</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>        <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">ADC</a>-&gt;CR |= <a class="code hl_define" href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#ga99f277b493b3fcfb62ac28359cd6a13f">ADC_CR_ADIE_Msk</a>;</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>    <span class="keywordflow">if</span>(u32Mask &amp; <a class="code hl_define" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga41c48b26f935a8b70e8199d52c3581db">ADC_CMP0_INT</a>)</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>        <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">ADC</a>-&gt;CMPR0 |= <a class="code hl_define" href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#gab7c6d1aec5be7b81d187e91f59242539">ADC_CMPR_CMPIE_Msk</a>;</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>    <span class="keywordflow">if</span>(u32Mask &amp; <a class="code hl_define" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab90d906eaa07da4d1856dffc04be5ed8">ADC_CMP1_INT</a>)</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>        <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">ADC</a>-&gt;CMPR1 |= <a class="code hl_define" href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#gab7c6d1aec5be7b81d187e91f59242539">ADC_CMPR_CMPIE_Msk</a>;</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span> </div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>    <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>}</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span> </div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno"><a class="line" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7064e6cb526c985efcdb85a4644c5d4e">  190</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7064e6cb526c985efcdb85a4644c5d4e">ADC_DisableInt</a>(<a class="code hl_struct" href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a> *adc, uint32_t u32Mask)</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>{</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>    <span class="keywordflow">if</span>(u32Mask &amp; <a class="code hl_define" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga40dde4ccecc2ebea0a175cd68431ad5d">ADC_ADF_INT</a>)</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>        <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">ADC</a>-&gt;CR &amp;= ~ADC_CR_ADIE_Msk;</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>    <span class="keywordflow">if</span>(u32Mask &amp; <a class="code hl_define" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga41c48b26f935a8b70e8199d52c3581db">ADC_CMP0_INT</a>)</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>        <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">ADC</a>-&gt;CMPR0 &amp;= ~ADC_CMPR_CMPIE_Msk;</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>    <span class="keywordflow">if</span>(u32Mask &amp; <a class="code hl_define" href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab90d906eaa07da4d1856dffc04be5ed8">ADC_CMP1_INT</a>)</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>        <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">ADC</a>-&gt;CMPR1 &amp;= ~ADC_CMPR_CMPIE_Msk;</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span> </div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>    <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>}</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span> </div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span> </div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span> <span class="comment">/* end of group NANO1X2_ADC_EXPORTED_FUNCTIONS */</span></div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span> <span class="comment">/* end of group NANO1X2_ADC_Driver */</span></div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span> <span class="comment">/* end of group NANO1X2_Device_Driver */</span></div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span> </div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span><span class="comment">/*** (C) COPYRIGHT 2014 Nuvoton Technology Corp. ***/</span></div>
<div class="ttc" id="a_nano1_x2_series_8h_html"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html">Nano1X2Series.h</a></div><div class="ttdoc">Nano102/112 peripheral access layer header file. This file contains all the peripheral register's def...</div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_ae1628313ccb45d3d11ae5fbd3e3c1024"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#ae1628313ccb45d3d11ae5fbd3e3c1024">SYS_IPRST_CTL2_ADC_RST_Msk</a></div><div class="ttdeci">#define SYS_IPRST_CTL2_ADC_RST_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l03693">Nano1X2Series.h:3693</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga40dde4ccecc2ebea0a175cd68431ad5d"><div class="ttname"><a href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga40dde4ccecc2ebea0a175cd68431ad5d">ADC_ADF_INT</a></div><div class="ttdeci">#define ADC_ADF_INT</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d19/adc_8h_source.html#l00055">adc.h:55</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga41c48b26f935a8b70e8199d52c3581db"><div class="ttname"><a href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga41c48b26f935a8b70e8199d52c3581db">ADC_CMP0_INT</a></div><div class="ttdeci">#define ADC_CMP0_INT</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d19/adc_8h_source.html#l00056">adc.h:56</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gab00b676b7a485e344250465c7379356c"><div class="ttname"><a href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab00b676b7a485e344250465c7379356c">ADC_TRIGGER_BY_EXT_PIN</a></div><div class="ttdeci">#define ADC_TRIGGER_BY_EXT_PIN</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d19/adc_8h_source.html#l00049">adc.h:49</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gab90d906eaa07da4d1856dffc04be5ed8"><div class="ttname"><a href="../../d1/d93/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab90d906eaa07da4d1856dffc04be5ed8">ADC_CMP1_INT</a></div><div class="ttdeci">#define ADC_CMP1_INT</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d19/adc_8h_source.html#l00057">adc.h:57</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga3bc36c0a0554723f815fca2afe66671f"><div class="ttname"><a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3bc36c0a0554723f815fca2afe66671f">ADC_EnableTimerTrigger</a></div><div class="ttdeci">void ADC_EnableTimerTrigger(ADC_T *adc, uint32_t u32Source, uint32_t u32PDMACnt)</div><div class="ttdoc">Config and enable timer trigger.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d01/adc_8c_source.html#l00116">adc.c:116</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga685b6f8aa3a0f1fea8992f0f105e7241"><div class="ttname"><a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga685b6f8aa3a0f1fea8992f0f105e7241">ADC_EnableHWTrigger</a></div><div class="ttdeci">void ADC_EnableHWTrigger(ADC_T *adc, uint32_t u32Source, uint32_t u32Param)</div><div class="ttdoc">Configure the hardware trigger condition and enable hardware trigger.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d01/adc_8c_source.html#l00081">adc.c:81</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga68854f8ea2f77c73a8cf029034ec4885"><div class="ttname"><a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga68854f8ea2f77c73a8cf029034ec4885">ADC_Close</a></div><div class="ttdeci">void ADC_Close(ADC_T *adc)</div><div class="ttdoc">Disable ADC module.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d01/adc_8c_source.html#l00059">adc.c:59</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga6adcefbb9e5bc5aa9ea0741d028532fd"><div class="ttname"><a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6adcefbb9e5bc5aa9ea0741d028532fd">ADC_SetExtraSampleTime</a></div><div class="ttdeci">void ADC_SetExtraSampleTime(ADC_T *adc, uint32_t u32ChNum, uint32_t u32SampleTime)</div><div class="ttdoc">Configure the hardware trigger condition and enable hardware trigger.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d01/adc_8c_source.html#l00145">adc.c:145</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga7033da903c767e3fcd564d1695a43fac"><div class="ttname"><a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7033da903c767e3fcd564d1695a43fac">ADC_Open</a></div><div class="ttdeci">void ADC_Open(ADC_T *adc, uint32_t u32InputMode, uint32_t u32OpMode, uint32_t u32ChMask)</div><div class="ttdoc">This API configures ADC module to be ready for convert the input from selected channel.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d01/adc_8c_source.html#l00041">adc.c:41</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga7064e6cb526c985efcdb85a4644c5d4e"><div class="ttname"><a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7064e6cb526c985efcdb85a4644c5d4e">ADC_DisableInt</a></div><div class="ttdeci">void ADC_DisableInt(ADC_T *adc, uint32_t u32Mask)</div><div class="ttdoc">Disable the interrupt(s) selected by u32Mask parameter.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d01/adc_8c_source.html#l00190">adc.c:190</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga9527ef6a552d887f6e530fa008176057"><div class="ttname"><a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9527ef6a552d887f6e530fa008176057">ADC_DisableTimerTrigger</a></div><div class="ttdeci">void ADC_DisableTimerTrigger(ADC_T *adc)</div><div class="ttdoc">Disable timer trigger ADC function.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d01/adc_8c_source.html#l00131">adc.c:131</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga9703215cf92463b8c79f486aa6270ca8"><div class="ttname"><a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9703215cf92463b8c79f486aa6270ca8">ADC_DisableHWTrigger</a></div><div class="ttdeci">void ADC_DisableHWTrigger(ADC_T *adc)</div><div class="ttdoc">Disable hardware trigger ADC function.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d01/adc_8c_source.html#l00103">adc.c:103</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaa17b8a283b2eebe8bfb193056c7fed35"><div class="ttname"><a href="../../d1/dfc/group___n_a_n_o1_x2___a_d_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa17b8a283b2eebe8bfb193056c7fed35">ADC_EnableInt</a></div><div class="ttdeci">void ADC_EnableInt(ADC_T *adc, uint32_t u32Mask)</div><div class="ttdoc">Enable the interrupt(s) selected by u32Mask parameter.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d01/adc_8c_source.html#l00167">adc.c:167</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___c_m_s_i_s_html_ga0009f40073c6a6209b523665049f663d"><div class="ttname"><a href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#ga0009f40073c6a6209b523665049f663d">ADC_CR_TMPDMACNT_Pos</a></div><div class="ttdeci">#define ADC_CR_TMPDMACNT_Pos</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l00815">Nano1X2Series.h:815</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___c_m_s_i_s_html_ga1cd21e1f2871436955adfd4952e65793"><div class="ttname"><a href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#ga1cd21e1f2871436955adfd4952e65793">ADC_SMPLCNT1_INTCHSAMPCNT_Pos</a></div><div class="ttdeci">#define ADC_SMPLCNT1_INTCHSAMPCNT_Pos</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l00890">Nano1X2Series.h:890</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___c_m_s_i_s_html_ga329916e0888ee4718195ce0166bee7ec"><div class="ttname"><a href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#ga329916e0888ee4718195ce0166bee7ec">ADC_CR_TRGS_Msk</a></div><div class="ttdeci">#define ADC_CR_TRGS_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l00786">Nano1X2Series.h:786</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___c_m_s_i_s_html_ga4aa41e03742268c03e334a46a432598a"><div class="ttname"><a href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#ga4aa41e03742268c03e334a46a432598a">ADC_CR_TRGCOND_Msk</a></div><div class="ttdeci">#define ADC_CR_TRGCOND_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l00789">Nano1X2Series.h:789</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___c_m_s_i_s_html_ga5a0ca979c19d7d54c740a0ced742d201"><div class="ttname"><a href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#ga5a0ca979c19d7d54c740a0ced742d201">ADC_CR_TMSEL_Msk</a></div><div class="ttdeci">#define ADC_CR_TMSEL_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l00804">Nano1X2Series.h:804</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___c_m_s_i_s_html_ga99f277b493b3fcfb62ac28359cd6a13f"><div class="ttname"><a href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#ga99f277b493b3fcfb62ac28359cd6a13f">ADC_CR_ADIE_Msk</a></div><div class="ttdeci">#define ADC_CR_ADIE_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l00780">Nano1X2Series.h:780</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___c_m_s_i_s_html_gab7c6d1aec5be7b81d187e91f59242539"><div class="ttname"><a href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#gab7c6d1aec5be7b81d187e91f59242539">ADC_CMPR_CMPIE_Msk</a></div><div class="ttdeci">#define ADC_CMPR_CMPIE_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l00825">Nano1X2Series.h:825</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___c_m_s_i_s_html_gaba4218cc35d77ca58fcbb4071f2bf561"><div class="ttname"><a href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#gaba4218cc35d77ca58fcbb4071f2bf561">ADC_SMPLCNT0_CH0SAMPCNT_Msk</a></div><div class="ttdeci">#define ADC_SMPLCNT0_CH0SAMPCNT_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l00885">Nano1X2Series.h:885</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___c_m_s_i_s_html_gacd67d1016dbd5f1ae15c7cd238eaebc5"><div class="ttname"><a href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#gacd67d1016dbd5f1ae15c7cd238eaebc5">ADC_CR_TMSEL_Pos</a></div><div class="ttdeci">#define ADC_CR_TMSEL_Pos</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l00803">Nano1X2Series.h:803</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___c_m_s_i_s_html_gacf5d396134fef16ba1a231e1a09071fe"><div class="ttname"><a href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#gacf5d396134fef16ba1a231e1a09071fe">ADC_CR_TMPDMACNT_Msk</a></div><div class="ttdeci">#define ADC_CR_TMPDMACNT_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l00816">Nano1X2Series.h:816</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___c_m_s_i_s_html_gad5199134d550c0c9ee07ca0057d747c0"><div class="ttname"><a href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#gad5199134d550c0c9ee07ca0057d747c0">ADC_CR_TMTRGMOD_Msk</a></div><div class="ttdeci">#define ADC_CR_TMTRGMOD_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l00807">Nano1X2Series.h:807</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___c_m_s_i_s_html_gafb815f258edb65691435b611434de7df"><div class="ttname"><a href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html#gafb815f258edb65691435b611434de7df">ADC_CR_TRGE_Msk</a></div><div class="ttdeci">#define ADC_CR_TRGE_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l00792">Nano1X2Series.h:792</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n_html_ga54d148b91f3d356713f7e367a2243bea"><div class="ttname"><a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga54d148b91f3d356713f7e367a2243bea">ADC</a></div><div class="ttdeci">#define ADC</div><div class="ttdoc">Pointer to ADC register structure.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10645">Nano1X2Series.h:10645</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n_html_gae3d9f52a1a315303ad04f0576bd42a25"><div class="ttname"><a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a></div><div class="ttdeci">#define SYS</div><div class="ttdoc">Pointer to SYS register structure.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10650">Nano1X2Series.h:10650</a></div></div>
<div class="ttc" id="astruct_a_d_c___t_html"><div class="ttname"><a href="../../d2/d2c/struct_a_d_c___t.html">ADC_T</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l00378">Nano1X2Series.h:379</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:31 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
